package md

type ArticleCateListReq struct {
	Page  string `json:"page,required"`  // 页数
	Limit string `json:"limit,required"` // 每页大小
}
type ArticleCateListResp struct {
	Total      int64               `json:"total"`
	SelectData []map[string]string `json:"select_data"`
	List       []ArticleCateList   `json:"list"`
}
type ArticleCateList struct {
	Id     string `json:"id"`
	Pid    string `json:"pid"`
	Name   string `json:"name"`
	IsShow string `json:"is_show"`
	Sort   string `json:"sort"`
}
type ArticleCateSaveReq struct {
	Id     string `json:"id"`
	Pid    string `json:"pid"`
	Name   string `json:"name"`
	IsShow string `json:"is_show"`
	Sort   string `json:"sort"`
}
type ArticleCateDelReq struct {
	Id []string `json:"id"`
}

type ArticleListReq struct {
	Page  string `json:"page,required"`  // 页数
	Limit string `json:"limit,required"` // 每页大小
}
type ArticleListResp struct {
	Total      int64                    `json:"total"`
	SelectData []map[string]interface{} `json:"select_data"`
	CateData   []map[string]interface{} `json:"cate_data"`
	List       []ArticleList            `json:"list"`
}
type ArticleList struct {
	Id       string `json:"id"`
	Pid      string `json:"pid" example:"一级分类id"`
	CateId   string `json:"cate_id" example:"二级分类id"`
	Title    string `json:"title"`
	Content  string `json:"content"`
	Cover    string `json:"cover"  example:"一级分类id=4 显示 封面图"`
	CoverUrl string `json:"cover_url"`
	IsShow   string `json:"is_show"`
	Sort     string `json:"sort"`
	Url      string `json:"url"`
}
type ArticleSaveReq struct {
	Id      string `json:"id"`
	Pid     string `json:"pid" example:"一级分类id"`
	CateId  string `json:"cate_id" example:"二级分类id"`
	Title   string `json:"title"`
	Content string `json:"content"`
	Cover   string `json:"cover"  example:"一级分类id=4 显示 封面图"`
	IsShow  string `json:"is_show"`
	Sort    string `json:"sort"`
}
type ArticleDelReq struct {
	Id []string `json:"id"`
}
